Bug 725310 - Review Request: osdlyrics - Show on-screen lyrics with your favorite media players
Review Request: osdlyrics - Show on-screen lyrics with your favorite media pl...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2011-07-25 00:58 EDT by Robin Lee
Modified: 2011-11-08 08:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-01 16:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2011-07-25 00:58:02 EDT
Spec URL: http://cheeselee.fedorapeople.org/osdlyrics.spec
SRPM URL: http://cheeselee.fedorapeople.org/osdlyrics-0.4.1-1.fc15.src.rpm
Description:
Osd-lyrics is an on-screen lyrics displayer which can work with any one of the
following media players:
 * Amarok
 * Audacious
 * Banshee
 * Clementine
 * Deciber-audio-player
 * Exaile
 * Gmusicbrowser
 * Guayadeque
 * JuK
 * Listen
 * MOC
 * Muine
 * Qmmp (with MPRIS plugin enabled)
 * Quod Libet
 * MPD
 * Rhythmbox
 * Songbird (with MPRIS extension installed)
 * VLC (Run with parameter "--control dbus")
 * XMMS2
Comment 1 Michael Schwendt 2011-07-26 07:08:30 EDT
* %{_datadir}/icons/hicolor/*/*/%{name}*

Using desktop-file-utils is still a MUST in the review guidelines:
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop


* yum localinstall osdlyrics...
[...]
Installing:
 osdlyrics                             x86_64                0.4.1-1.fc15                  osdlyrics-0.4.1-1.fc15.x86_64                827 k
Installing for dependencies:
 avahi-compat-libdns_sd                x86_64                0.6.30-3.fc15                 fedora                                         30 k
 ecore                                 x86_64                1.0.0-2.fc15                  fedora                                        215 k
 eet                                   x86_64                1.4.0-2.fc15                  fedora                                         57 k
 evas                                  x86_64                1.0.0-2.fc15                  fedora                                        390 k
 libeina                               x86_64                1.0.0-2.fc15                  fedora                                         95 k
 libmpd                                x86_64                0.20.0-2.fc15                 fedora                                         49 k
 xmms2                                 x86_64                0.7-8.fc15                    fedora                                        1.2 M


In other words, it drags in the deprecated xmms2 player because that one doesn't ship its client library in a subpackage (like XMMS does with xmms-libs).


* Upon running osdlyrics for the first time, I clicked the "Audacious" icon it displayed. On subsequent runs, osdlyrics starts Audacious automatically and fills the playlist with a bad %U entry that causes the player to open an error dialog:

  Cannot open /home/misc/%U: No such file or directory.
  No decoder found for file:///home/misc/%25U.


* The source code should also not hardcode "audacious2" and "Audacious 2" but just "audacious", because for example, Rawhide features Audacious 3 already without the old audacious2 compatibility symlinks in /usr/bin. Those have been a bad idea and have been removed by upstream since Audacious 2.5.x anyway.
Comment 2 Robin Lee 2011-08-08 04:46:24 EDT
Spec URL: http://cheeselee.fedorapeople.org/osdlyrics.spec
SRPM URL: http://cheeselee.fedorapeople.org/osdlyrics-0.4.1-1.fc15.src.rpm

Changes:
- Apply an upstream patch to ignore %f and %U in player-launching commands
- Validate the desktop entry file in %install
- Don't spread the supported player names to lines in %description

(In reply to comment #1)
> * %{_datadir}/icons/hicolor/*/*/%{name}*
> 
> Using desktop-file-utils is still a MUST in the review guidelines:
> https://fedoraproject.org/wiki/Packaging/Guidelines#desktop
Fixed.

> 
> 
> * yum localinstall osdlyrics...
> [...]
> Installing:
>  osdlyrics                             x86_64                0.4.1-1.fc15      
>            osdlyrics-0.4.1-1.fc15.x86_64                827 k
> Installing for dependencies:
>  avahi-compat-libdns_sd                x86_64                0.6.30-3.fc15     
>            fedora                                         30 k
>  ecore                                 x86_64                1.0.0-2.fc15      
>            fedora                                        215 k
>  eet                                   x86_64                1.4.0-2.fc15      
>            fedora                                         57 k
>  evas                                  x86_64                1.0.0-2.fc15      
>            fedora                                        390 k
>  libeina                               x86_64                1.0.0-2.fc15      
>            fedora                                         95 k
>  libmpd                                x86_64                0.20.0-2.fc15     
>            fedora                                         49 k
>  xmms2                                 x86_64                0.7-8.fc15        
>            fedora                                        1.2 M
> 
> 
> In other words, it drags in the deprecated xmms2 player because that one
> doesn't ship its client library in a subpackage (like XMMS does with
> xmms-libs).
This package only supports xmms2.

> 
> 
> * Upon running osdlyrics for the first time, I clicked the "Audacious" icon it
> displayed. On subsequent runs, osdlyrics starts Audacious automatically and
> fills the playlist with a bad %U entry that causes the player to open an error
> dialog:
> 
>   Cannot open /home/misc/%U: No such file or directory.
>   No decoder found for file:///home/misc/%25U.
Fixed by an upstream patch.

> 
> 
> * The source code should also not hardcode "audacious2" and "Audacious 2" but
> just "audacious", because for example, Rawhide features Audacious 3 already
> without the old audacious2 compatibility symlinks in /usr/bin. Those have been
> a bad idea and have been removed by upstream since Audacious 2.5.x anyway.
Upstream accepted, issue url: http://code.google.com/p/osd-lyrics/issues/detail?id=233 .
Comment 3 Robin Lee 2011-08-08 04:49:46 EDT
SRPM URL: http://cheeselee.fedorapeople.org/osdlyrics-0.4.1-2.fc15.src.rpm

The url was not updated in previous entry.
Comment 4 Tom "spot" Callaway 2011-11-01 10:11:05 EDT
I'm looking into this one from a legal perspective.
Comment 5 Tom "spot" Callaway 2011-11-01 16:06:57 EDT
So after review with Red Hat Legal, we've determined that this is not acceptable for Fedora. Sadly, there does not seem to be any legitimate source for lyrics that does not infringe copyright, and even if there was, this code does not use it. I'm closing as CANTFIX.
Comment 6 Robin Lee 2011-11-01 22:03:46 EDT
Would any code that fetching lyrics from the web be banned?
Comment 7 Tom "spot" Callaway 2011-11-02 10:22:19 EDT
I don't want to say that. I think if you were able to show me code that fetched lyrics from a site which was offering lyrics with clear permission of the copyright holders, it might be a different situation.
Comment 8 Robin Lee 2011-11-02 21:57:15 EDT
If the code did not set any default lyric site?
If the code set http://lyrics.wikia.com, which seems accepted, as the unique default site?
Comment 9 Tom "spot" Callaway 2011-11-03 10:09:18 EDT
The code does not permit customization of the lyrics site after install, the "fetch" code has hardcoded support of specific sites.

However, even if this code had hardcoded support for "lyrics.wikia.com", that site has the same copyright problems as the existing sites.

Sorry. I don't think a "legal" lyrics website exists.
Comment 10 Robin Lee 2011-11-03 22:11:05 EDT
OK.

But there is already code that links lyrics.wikia.com in Fedora, for example, python-lyricwiki and Amarok (scripts/lyrics_lyricwiki).
Comment 11 Tom "spot" Callaway 2011-11-04 11:33:16 EDT
Good information to have, thanks. I'll ask if that changes the guidance.
Comment 12 Robin Lee 2011-11-04 19:55:53 EDT
Yes, I hope for some written guideline.
Comment 13 Tom "spot" Callaway 2011-11-08 08:45:18 EST
Okay, so upon further review, lyrics.wikia.com is actually a legal source for lyrics, they have explicit permission from the copyright holders via Gracenote. 

This means that any application which complies with Gracenote's terms of service (http://lyrics.wikia.com/Gracenote:EULA) and is under a Free license should be acceptable for Fedora.

For osdlyrics, if it was rewritten to only use lyrics.wikia.com, then it could be reconsidered.

Note You need to log in before you can comment on or make changes to this bug.